Index: branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/DataRow.cs
===================================================================
--- branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/DataRow.cs	(revision 11570)
+++ branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/DataRow.cs	(revision 12031)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -76,4 +76,5 @@
       this.values = new ObservableList<double>(original.values);
     }
+    public DataRow() : this("DataRow") { }
     public DataRow(string name)
       : base(name) {
@@ -116,4 +117,8 @@
       OnVisualPropertiesChanged();
     }
+    protected override void OnNameChanged() {
+      base.OnNameChanged();
+      VisualProperties.DisplayName = Name;
+    }
   }
 }
Index: branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/DataRowVisualProperties.cs
===================================================================
--- branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/DataRowVisualProperties.cs	(revision 11570)
+++ branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/DataRowVisualProperties.cs	(revision 12031)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/DataTable.cs
===================================================================
--- branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/DataTable.cs	(revision 11570)
+++ branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/DataTable.cs	(revision 12031)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/DataTableHistory.cs
===================================================================
--- branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/DataTableHistory.cs	(revision 11570)
+++ branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/DataTableHistory.cs	(revision 12031)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/DataTableValuesCollector.cs
===================================================================
--- branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/DataTableValuesCollector.cs	(revision 11570)
+++ branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/DataTableValuesCollector.cs	(revision 12031)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/DataTableVisualProperties.cs
===================================================================
--- branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/DataTableVisualProperties.cs	(revision 11570)
+++ branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/DataTableVisualProperties.cs	(revision 12031)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/HeatMap.cs
===================================================================
--- branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/HeatMap.cs	(revision 11570)
+++ branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/HeatMap.cs	(revision 12031)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/HeatMapHistory.cs
===================================================================
--- branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/HeatMapHistory.cs	(revision 11570)
+++ branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/HeatMapHistory.cs	(revision 12031)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlot.cs
===================================================================
--- branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlot.cs	(revision 11570)
+++ branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlot.cs	(revision 12031)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotDataRow.cs
===================================================================
--- branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotDataRow.cs	(revision 11570)
+++ branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotDataRow.cs	(revision 12031)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotDataRowVisualProperties.cs
===================================================================
--- branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotDataRowVisualProperties.cs	(revision 11570)
+++ branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotDataRowVisualProperties.cs	(revision 12031)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotHistory.cs
===================================================================
--- branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotHistory.cs	(revision 11570)
+++ branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotHistory.cs	(revision 12031)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotVisualProperties.cs
===================================================================
--- branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotVisualProperties.cs	(revision 11570)
+++ branches/HeuristicLab.DatasetRefactor/sources/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotVisualProperties.cs	(revision 12031)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
